using UnityEngine;

[CreateAssetMenu]
public class PlayerStats : ScriptableObject {
	[field: SerializeField] [Min(0f)]
	public float movementSpeed = 3f;
	
	[field: SerializeField] [Min(0f)]
	public float suckSpeed = 1f;

	[field: SerializeField] [Min(0f)]
	public float bloodLossRate = 1f;

	[field: SerializeField] [field: Range(0f, 1f)]
	public float MinJoystickValueForThrowing { get; private set; } = .4f;
}